Create Hosted Evaluation
curl --request POST \
--url https://api.primeintellect.ai/api/v1/hosted-evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_ids": [
"<string>"
],
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": true,
"allow_instances_access": false,
"allow_tunnel_access": true,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": false,
"max_retries": 4503599627370495,
"state_columns": [
"<string>"
],
"independent_scoring": false,
"verbose": false,
"headers": [
"<string>"
],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"team_id": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.primeintellect.ai/api/v1/hosted-evaluations"
payload = {
"environment_ids": ["<string>"],
"inference_model": "<string>",
"eval_config": {
"num_examples": 4503599627370495,
"rollouts_per_example": 1024,
"env_args": {},
"allow_sandbox_access": True,
"allow_instances_access": False,
"allow_tunnel_access": True,
"timeout_minutes": 123,
"custom_secrets": {},
"sampling_args": {},
"max_concurrent": 4503599627370496,
"auto_max_concurrent": False,
"max_retries": 4503599627370495,
"state_columns": ["<string>"],
"independent_scoring": False,
"verbose": False,
"headers": ["<string>"],
"extra_env_kwargs": {},
"api_client_type": "<string>",
"api_base_url": "<string>",
"api_key_var": "<string>"
},
"team_id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment_ids: ['<string>'],
inference_model: '<string>',
eval_config: {
num_examples: 4503599627370495,
rollouts_per_example: 1024,
env_args: {},
allow_sandbox_access: true,
allow_instances_access: false,
allow_tunnel_access: true,
timeout_minutes: 123,
custom_secrets: {},
sampling_args: {},
max_concurrent: 4503599627370496,
auto_max_concurrent: false,
max_retries: 4503599627370495,
state_columns: ['<string>'],
independent_scoring: false,
verbose: false,
headers: ['<string>'],
extra_env_kwargs: {},
api_client_type: '<string>',
api_base_url: '<string>',
api_key_var: '<string>'
},
team_id: '<string>',
name: '<string>'
})
};
fetch('https://api.primeintellect.ai/api/v1/hosted-evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "<string>",
"status": "<string>",
"sandbox_id": "<string>",
"evaluation_ids": [
"<string>"
],
"error": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}hosted-evaluations
Create Hosted Evaluation
Create and start a hosted evaluation.
POST
/
api
/
v1
/
hosted-evaluations
Create Hosted Evaluation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to create and start a hosted evaluation
List of environment IDs to evaluate
Minimum array length:
1Model ID for inference
Evaluation configuration
Show child attributes
Show child attributes
Optional team ID to own the hosted evaluation
Optional custom evaluation name
Response
Successful Response
Response after creating a hosted evaluation
ID of the created evaluation
Current status of the evaluation
ID of the sandbox running the evaluation
List of evaluation IDs if multiple environments were provided
Error message if creation failed
Was this page helpful?
⌘I